<ion-header>
    <ion-toolbar>
        <ion-title>
            Password Manager
        </ion-title>
        <ion-buttons slot="end">
            <ion-button color="primary" (click)="showForm()">
                <ion-icon name="add"></ion-icon>
            </ion-button>
            <ion-button color="primary" href="/settings">
                <ion-icon name="cog"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="ion-padding ion-text-center">
    <ion-grid *ngIf="passwords; else noPasswordsSet">
        <ion-row class="list-header">
            <ion-col size="5">
                Service
            </ion-col>
            <ion-col size="5">
                Username
            </ion-col>
            <ion-col size="2">
                &nbsp;
            </ion-col>
        </ion-row>
        <ion-row lines="inset" *ngFor="let key of passwordsIterator">
            <ion-col class="ion-padding-vertical" size="5">
                {{ passwords[key].host }}
            </ion-col>
            <ion-col class="ion-padding-vertical" size="5">
                {{ passwords[key].login }}
            </ion-col>
            <ion-col size="1">
                <ion-button fill="clear" color="primary" (click)="showItemActionMenu(passwords[key].index)">
                    <ion-icon slot="icon-only" name="menu"></ion-icon>
                </ion-button>
            </ion-col>
        </ion-row>
    </ion-grid>
    <ng-template #noPasswordsSet>
        There are no passwords stored. To generate password tap <ion-icon name="add"></ion-icon> icon.
    </ng-template>
</ion-content>